Update playground configuration
curl --request PUT \
--url https://api.alpic.ai/v1/environments/{environmentId}/playground \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isPlaygroundEnabled": true,
"name": "<string>",
"description": "<string>",
"headers": [
{
"name": "<string>",
"description": "<string>",
"isRequired": false,
"isSecret": false
}
],
"examplePrompts": [
{
"title": "<string>",
"prompt": "<string>"
}
]
}
'import requests
url = "https://api.alpic.ai/v1/environments/{environmentId}/playground"
payload = {
"isPlaygroundEnabled": True,
"name": "<string>",
"description": "<string>",
"headers": [
{
"name": "<string>",
"description": "<string>",
"isRequired": False,
"isSecret": False
}
],
"examplePrompts": [
{
"title": "<string>",
"prompt": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isPlaygroundEnabled: true,
name: '<string>',
description: '<string>',
headers: [
{name: '<string>', description: '<string>', isRequired: false, isSecret: false}
],
examplePrompts: [{title: '<string>', prompt: '<string>'}]
})
};
fetch('https://api.alpic.ai/v1/environments/{environmentId}/playground', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isPlaygroundEnabled": true,
"serverMetadata": {
"name": "<string>",
"description": "<string>",
"headers": [
{
"name": "<string>",
"description": "<string>",
"isRequired": true,
"isSecret": true
}
],
"examplePrompts": [
{
"title": "<string>",
"prompt": "<string>"
}
]
}
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}environments
Update playground configuration
Update the playground configuration for an environment. All fields are optional — only provided fields are updated.
PUT
/
v1
/
environments
/
{environmentId}
/
playground
Update playground configuration
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Path Parameters
The ID of the environment
Body
application/json
Was this page helpful?
⌘I